<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.imr.mapper.StorageCellMapper">

  <resultMap id="storageCellMap" type="digital.laboratory.platform.imr.entity.StorageCell">
    <id property="id" column="id"/>
    <result property="cellNo" column="cell_no"/>
    <result property="status" column="status"/>
    <result property="sort" column="sort"/>
    <result property="cupboardId" column="cupboard_id"/>
    <result property="cellPhoto" column="cell_photo"/>
    <result property="createBy" column="create_by"/>
    <result property="createTime" column="create_time"/>
    <result property="updateBy" column="update_By"/>
    <result property="updateTime" column="update_time"/>
    <result property="content" column="content"/>
    <result property="fileName" column="file_name"/>
  </resultMap>

  <!--getStorageCellPage-->

  <sql id="cellMap">
    select cell.*
    from dlp_identification_material_repository.storage_cell cell
  </sql>
  <!--getStorageRoomList 柜子列表 &ndash;&gt;-->
  <select id="getStorageCellPage" resultMap="storageCellMap">
    <include refid="cellMap"/>
    ${ew.customSqlSegment}
  </select >

</mapper>
